//nouvelle operation commercial / nouvelle carte
import { OperationCommerciale } from './OperationCommerciale';
export class Scan
{
  uid: string;
  carteParrainID: string;
  carteFilleulID: string;
  dateCreation: Date;
  valeurParrain: string;
  valeurFilleul: string;
  type: string;
  operationCommercial: OperationCommerciale;


  constructor() {
    this.uid = '';
    this.carteParrainID = '';
    this.carteFilleulID = '';
    this.dateCreation = new Date();
    this.valeurParrain = '';
    this.valeurFilleul = '';
    this.type = '';
    this.operationCommercial = new OperationCommerciale();
  }
  /*
  addParrain(addStatus, addEmail, addFamilyname, addFirstname) {
    this.uid = '';
    this.email = addEmail;
    this.emailVerified = false;
    this.password = '';
    this.familyname = addFamilyname;
    this.firstname = addFirstname;
    this.username = '';
    this.birthday = new Date();
    this.idCard = '';
    this.secretCode = '';
    this.status = addStatus;
  }
  welcome() {
    console.log('Hi, ' + this.firstname + '!');
  }
  */
}
